NioReceiverMBean (Apache Tomcat 10.1.54 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.transport.nio, interface: NioReceiverMBean

# Interface NioReceiverMBean

All Known Implementing Classes:
  `NioReceiver`

public interface NioReceiverMBean

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActiveCount()`
  `String`
  `getAddress()`
  `int`
  `getAutoBind()`
  `long`
  `getCompletedTaskCount()`
  `boolean`
  `getDirect()`
  `long`
  `getMaxIdleTime()`
  `int`
  `getMaxThreads()`
  `int`
  `getMinThreads()`
  `boolean`
  `getOoBInline()`
  `int`
  `getPoolSize()`
  `int`
  `getPort()`
  `int`
  `getRxBufSize()`
  `int`
  `getSecurePort()`
  `long`
  `getSelectorTimeout()`
  `boolean`
  `getSoKeepAlive()`
  `boolean`
  `getSoLingerOn()`
  `int`
  `getSoLingerTime()`
  `boolean`
  `getSoReuseAddress()`
  `long`
  `getTaskCount()`
  `boolean`
  `getTcpNoDelay()`
  `int`
  `getTimeout()`
  `int`
  `getTxBufSize()`
  `int`
  `getUdpPort()`
  `int`
  `getUdpRxBufSize()`
  `int`
  `getUdpTxBufSize()`
  `boolean`
  `getUseBufferPool()`
  `boolean`
  `isListening()`

- ## Method Details

  - ### getAddress

    String getAddress()

  - ### getDirect

    boolean getDirect()

  - ### getPort

    int getPort()

  - ### getAutoBind

    int getAutoBind()

  - ### getSecurePort

    int getSecurePort()

  - ### getUdpPort

    int getUdpPort()

  - ### getSelectorTimeout

    long getSelectorTimeout()

  - ### getMaxThreads

    int getMaxThreads()

  - ### getMinThreads

    int getMinThreads()

  - ### getMaxIdleTime

    long getMaxIdleTime()

  - ### getOoBInline

    boolean getOoBInline()

  - ### getRxBufSize

    int getRxBufSize()

  - ### getTxBufSize

    int getTxBufSize()

  - ### getUdpRxBufSize

    int getUdpRxBufSize()

  - ### getUdpTxBufSize

    int getUdpTxBufSize()

  - ### getSoKeepAlive

    boolean getSoKeepAlive()

  - ### getSoLingerOn

    boolean getSoLingerOn()

  - ### getSoLingerTime

    int getSoLingerTime()

  - ### getSoReuseAddress

    boolean getSoReuseAddress()

  - ### getTcpNoDelay

    boolean getTcpNoDelay()

  - ### getTimeout

    int getTimeout()

  - ### getUseBufferPool

    boolean getUseBufferPool()

  - ### isListening

    boolean isListening()

  - ### getPoolSize

    int getPoolSize()

  - ### getActiveCount

    int getActiveCount()

  - ### getTaskCount

    long getTaskCount()

  - ### getCompletedTaskCount

    long getCompletedTaskCount()